Zitadel PHP Client 1.3.6 PHP Client for Zitadel

Loading...
Searching...
No Matches
Public Member Functions
Get Class Reference

## Public Member Functions
| __construct (array $settings)
| setSessionId (string $sessionId)
| setSessionToken (string $sessionToken)
| getCreationDate ()
| getChangeDate ()
| getUserVerifiedAt ()
| getUserId ()
| getUserLoginName ()
| getUserDisplayName ()
| getUserOrganizationId ()
| getPasswordVerifiedAt ()
| getIdpVerifiedAt ()
| getEmailVerifiedAt ()
| getExpirationDate ()
| getTotpVerifiedAt ()
| getSmsVerifiedAt ()
| get ()

## Detailed Description

Get a session and all its information like the time of the user or password verification. If no data is sent back from the Zitadel API for e.g. 2FA tokens, an error will occur when trying to access the data. Some functions return a date in the format `YYYY-MM-DDThh:mm:ss.fZ` e.g. `2024-04-08T14:37:09.846600Z`.

Definition at line 12 of file Get.php.

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( | array | $settings | ) |

Initialize the Session create setup

Parameters

  $settings | array The settings array

Definition at line 35 of file Get.php.

## Member Function Documentation

## ◆ get()

get | ( |  | ) |

Fetch the session data

Returns
  void

Exceptions

  Exception | Returns an error, if the communication with Zitadel fails or one of the checks fails.

Definition at line 150 of file Get.php.

## ◆ getChangeDate()

getChangeDate | ( |  | ) |

Returns the change date of the session

Returns
  string ISO-8601 Timestamp

Definition at line 65 of file Get.php.

## ◆ getCreationDate()

getCreationDate | ( |  | ) |

Returns the creation date of the session

Returns
  string ISO-8601 Timestamp

Definition at line 58 of file Get.php.

## ◆ getEmailVerifiedAt()

getEmailVerifiedAt | ( |  | ) |

Returns the OTP Email verification date

Returns
  string ISO-8601 Timestamp

Definition at line 121 of file Get.php.

## ◆ getExpirationDate()

getExpirationDate | ( |  | ) |

Returns the session expiration date

Returns
  string ISO-8601 Timestamp

Definition at line 128 of file Get.php.

## ◆ getIdpVerifiedAt()

getIdpVerifiedAt | ( |  | ) |

Returns the IDP verification date

Returns
  string ISO-8601 Timestamp

Definition at line 114 of file Get.php.

## ◆ getPasswordVerifiedAt()

getPasswordVerifiedAt | ( |  | ) |

Returns the password verification date

Returns
  string ISO-8601 Timestamp

Definition at line 107 of file Get.php.

## ◆ getSmsVerifiedAt()

getSmsVerifiedAt | ( |  | ) |

Returns the OTP SMS verification date

Returns
  string ISO-8601 Timestamp

Definition at line 142 of file Get.php.

## ◆ getTotpVerifiedAt()

getTotpVerifiedAt | ( |  | ) |

Returns the TOTP code verification date

Returns
  string ISO-8601 Timestamp

Definition at line 135 of file Get.php.

## ◆ getUserDisplayName()

getUserDisplayName | ( |  | ) |

Returns the display name of the user

Returns
  string ISO-8601 Timestamp

Definition at line 93 of file Get.php.

## ◆ getUserId()

getUserId | ( |  | ) |

Returns the user id

Returns
  string ISO-8601 Timestamp

Definition at line 79 of file Get.php.

## ◆ getUserLoginName()

getUserLoginName | ( |  | ) |

Returns the user login name e.g. doe@y.nosp@m.our-.nosp@m.zitad.nosp@m.el-i.nosp@m.nstan.nosp@m.ce.c.nosp@m.om

Returns
  string ISO-8601 Timestamp

Definition at line 86 of file Get.php.

## ◆ getUserOrganizationId()

getUserOrganizationId | ( |  | ) |

Returns the organization id, the user is member of

Returns
  string ISO-8601 Timestamp

Definition at line 100 of file Get.php.

## ◆ getUserVerifiedAt()

getUserVerifiedAt | ( |  | ) |

Returns the user verification timestamp

Returns
  string ISO-8601 Timestamp

Definition at line 72 of file Get.php.

## ◆ setSessionId()

setSessionId | ( | string | $sessionId | ) |

Set the session id (required).

Parameters

  string | $sessionId | The session id

Returns
  void

Definition at line 43 of file Get.php.

## ◆ setSessionToken()

setSessionToken | ( | string | $sessionToken | ) |

Set the session token (required).

Parameters

  string | $sessionToken | The session token

Returns
  void

Definition at line 51 of file Get.php.

The documentation for this class was generated from the following file:

- src/Session/Get.php